> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3.0

> テキストからの動画生成、最初/最後のフレームを指定する生成、およびモーションコントロール。標準の生成はネイティブ音声とマルチショットプロンプトに対応しています。モーションコントロールは720p/1080pに限定されます。

テキストからの動画生成、最初/最後のフレームを指定する生成、およびモーションコントロール。標準の生成はネイティブ音声とマルチショットプロンプトに対応しています。モーションコントロールは720p/1080pに限定されます。

## モデル仕様

| 項目 | 詳細 |
| - | - |
| ID | `kling-3.0` |
| エンドポイント | [テキストから動画](/ja/api-reference/endpoint/kling-text-to-video) / [画像から動画](/ja/api-reference/endpoint/kling-image-to-video) / [モーション制御](/ja/api-reference/endpoint/kling-motion-control) |
| 標準の生成解像度 | 720p / 1080p / 4k |
| 標準生成での動画の長さ（秒） | 3-15 |

上記の長さはモーションコントロールには適用されません。メディア入力には、リンク先のエンドポイントのページに記載されている追加の制約が適用される場合があります。モデルはパスに指定し、metadataを使用せず、ネイティブのボディ構造を維持してください。

## リクエスト例

環境変数`MIXROUTE_API_KEY`を設定してください。`example.com`のメディアURLは、実際の公開アクセス可能なファイルに置き換えてください。

```bash theme={null}
curl --request POST "https://api.mixroute.ai/kling/text-to-video/kling-3.0" \
  --header "Authorization: Bearer $MIXROUTE_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting.",
  "settings": {
    "resolution": "720p",
    "duration": 5,
    "aspect_ratio": "16:9",
    "audio": "off",
    "multi_shot": false
  },
  "options": {
    "watermark_info": {
      "enabled": false
    }
  }
}'
```

送信時の`data.id`を保存し、[Klingタスクの照会](/ja/api-reference/endpoint/kling-tasks)でステータスと出力を確認してください。共通オプションと基本料金については、[Klingの概要](/ja/api-reference/endpoint/kling)を参照してください。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.